<?php echo $header; ?>
<?php echo $column_left; ?>
<div id="content">
    <div class="page-header">
        <div class="container-fluid">
            <div class="pull-right">
                <a href="<?php echo $cancel; ?>" data-toggle="tooltip" title="<?php echo $button_cancel; ?>" class="btn btn-default"><i class="fa fa-reply"></i></a></div>
            <h1><?php echo $heading_title; ?></h1>
            <ul class="breadcrumb">
                <?php foreach ($breadcrumbs as $breadcrumb) {?>
                    <li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
                <?php } ?>
            </ul>
        </div>
    </div>
    <div class="container-fluid">
        <?php if ($error_warning) { ?>
            <div class="alert alert-danger alert-dismissible"><i class="fa fa-exclamation-circle"></i> <?php echo $error_warning; ?>>
                <button type="button" class="close" data-dismiss="alert">&times;</button>
            </div>
        <?php } ?>
        <div id="connectix-ui"></div>
    </div>
</div>

<script type="text/javascript">
    window.ctxConfig = {
        controllerUrl: '<?php echo $link; ?>',
        translations: {
            ask: {
                title: "<?php echo $ask_title; ?>",
                confirm: "<?php echo $ask_button_confirm; ?>",
                cancel: "<?php echo $ask_button_cancel; ?>",
            },
            settings: {
                title: "<?php echo $settings_title; ?>",
                label: {
                    enabled: "<?php echo $settings_label_enabled; ?>",
                    token: "<?php echo $settings_label_token; ?>",
                    save: "<?php echo $settings_label_save; ?>",
                    addContacts: "<?php echo $settings_add_contacts; ?>",
                    trackDelivery: "<?php echo $settings_track_delivery; ?>",
                    deliveredStatus: "<?php echo $settings_label_delivered_status; ?>",
                    deliveredStatus_help: "<?php echo $settings_label_delivered_status_help; ?>",
                    system: "<?php echo $settings_label_system; ?>",
                    system_sandbox: "<?php echo $settings_label_system_sandbox; ?>",
                    system_live: "<?php echo $settings_label_system_live; ?>",
                    sandboxUrl: "<?php echo $settings_label_sandboxUrl; ?>",
                    sandboxUrl_help: "<?php echo $settings_label_sandboxUrl_help; ?>",
                    confirmOrder: "<?php echo $settings_label_confirmOrder; ?>",
                    confirmedOrderStatus: "<?php echo $settings_label_confirmedOrderStatus; ?>",
                    confirmedOrderStatus_help: "<?php echo $settings_label_confirmedOrderStatus_help; ?>",
                    confirmedOrderUrl: "<?php echo $settings_label_confirmedOrderUrl; ?>",
                    confirmedOrderUrl_help: "<?php echo $settings_label_confirmedOrderUrl_help; ?>",
                    cancelOrder: "<?php echo $settings_label_cancelOrder; ?>",
                    canceledOrderStatus: "<?php echo $settings_label_canceledOrderStatus; ?>",
                    canceledOrderStatus_help: "<?php echo $settings_label_canceledOrderStatus_help; ?>",
                    canceledOrderUrl: "<?php echo $settings_label_canceledOrderUrl; ?>",
                    canceledOrderUrl_help: "<?php echo $settings_label_canceledOrderUrl_help; ?>",
                    confirmationUrlsValidity: "<?php echo $settings_label_confirmationUrlsValidity; ?>",
                    confirmationUrlsValidity_help: "<?php echo $settings_label_confirmationUrlsValidity_help; ?>",
                    confirmationUrlsExpiredUrl: "<?php echo $settings_label_confirmationUrlsExpiredUrl; ?>",
                    confirmationUrlsExpiredUrl_help: "<?php echo $settings_label_confirmationUrlsExpiredUrl_help; ?>",
                },
                token_placeholder: "<?php echo $settings_token_placeholder; ?>",
                token_already_entered: "<?php echo $settings_token_already_entered; ?>",
                sandboxUrl_placeholder: "<?php echo $settings_sandboxUrl_placeholder; ?>",
            },
            templates: {
                button: "<?php echo $templates_button; ?>",
                button_help: "<?php echo $templates_button_help; ?>",
                no_templates: "<?php echo $templates_no_templates; ?>",
                status: {
                    pending: "<?php echo $templates_status_pending; ?>",
                    rejected: "<?php echo $templates_status_rejected; ?>",
                    waiting_information: "<?php echo $templates_status_waiting_information; ?>",
                    approved: "<?php echo $templates_status_approved; ?>",
                },
            },
            rules: {
                adding_title: "<?php echo $rules_adding_title; ?>",
                editing_title: "<?php echo $rules_editing_title; ?>",
                button: "<?php echo $rules_button; ?>",
                no_rules: "<?php echo $rules_no_rules; ?>",
                label: {
                    enabled: "<?php echo $rules_label_enabled; ?>",
                    not_enabled: "<?php echo $rules_label_not_enabled; ?>",
                    fallback: "<?php echo $rules_label_fallback; ?>",
                    fallback_help: "<?php echo $rules_label_fallback_help; ?>",
                    type: "<?php echo $rules_label_type; ?>",
                    type_help: "<?php echo $rules_label_type_help; ?>",
                    delivery_type: "<?php echo $rules_label_delivery_type; ?>",
                    order_status: "<?php echo $rules_label_order_status; ?>",
                    add_template: "<?php echo $rules_label_add_template; ?>",
                    add_another_template: "<?php echo $rules_label_add_another_template; ?>",
                    days_not_picked_up: "<?php echo $rules_label_days_not_picked_up; ?>",
                    days_not_picked_up_help_example_header: "<?php echo $rules_label_days_not_picked_up_help_example_header; ?>",
                    days_not_picked_up_help_example: "<?php echo $rules_label_days_not_picked_up_help_example; ?>",
                    days_not_picked_up_help_note_header: "<?php echo $rules_label_days_not_picked_up_help_note_header; ?>",
                    days_not_picked_up_help_note: "<?php echo $rules_label_days_not_picked_up_help_note; ?>",
                    cancel: "<?php echo $rules_label_cancel; ?>",
                    save: "<?php echo $rules_label_save; ?>",
                },
                days: "<?php echo $rules_days; ?>",
                order_status_placeholder: "<?php echo $rules_order_status_placeholder; ?>",
                templates_placeholder: "<?php echo $rules_templates_placeholder; ?>",
                delivery_type_placeholder: "<?php echo $rules_delivery_type_placeholder; ?>",
                delivery_type: {
                    door: "<?php echo $rules_delivery_type_door; ?>",
                    office: "<?php echo $rules_delivery_type_office; ?>",
                },
                channel: "<?php echo $rules_channel; ?>",
                template: "<?php echo $rules_template; ?>",
                actions: "<?php echo $rules_actions; ?>",
                type: {
                    new_order: "<?php echo $rules_type_new_order; ?>",
                    change_order_status: "<?php echo $rules_type_change_order_status; ?>",
                    ready_for_delivery: "<?php echo $rules_type_ready_for_delivery; ?>",
                    not_picked_up: "<?php echo $rules_type_change_not_picked_up; ?>",
                },
                type_placeholder: "<?php echo $rules_type_placeholder; ?>",
                status: {
                    pending: "<?php echo $rules_status_pending; ?>",
                    rejected: "<?php echo $rules_status_rejected; ?>",
                    waiting_information: "<?php echo $rules_status_waiting_information; ?>",
                    approved: "<?php echo $rules_status_approved; ?>",
                },
            },
        },
    };
</script>
<?php foreach ($scripts as $script) { ?>
<script type="text/javascript" src="<?php echo $script; ?>"></script>
<?php } ?>
<?php echo $footer; ?>
