<?php

class ModelExtensionAdvertiseConnectix extends Model
{
    use \ctx\traits\Db;

    public function getMessage($provider_id)
    {
        $result = $this->db->query(
            "SELECT
                id,fallback_id
            FROM
                `".DB_PREFIX."connectix_messages`
            WHERE
                provider_id = '".$this->db->escape($provider_id)."'"
        );
        if ($result->num_rows > 0) {
            return $result->row;
        }

        return null;
    }

    public function updateMessage($data)
    {
        $this->db->query(
            "UPDATE
                ".DB_PREFIX."connectix_messages
            SET
                channel = '".$this->db->escape($data['channel'])."',
                status = '".$this->db->escape($data['status'])."'
            WHERE
                provider_id = '".$this->db->escape($data['id'])."'"
        );
    }

    public function deleteMessage($fallback_id)
    {
        $this->db->query(
            "DELETE FROM
                ".DB_PREFIX."connectix_messages
            WHERE
                status = 'pending' AND
                fallback_id = '".$this->db->escape($fallback_id)."'"
        );
    }

    public function getMessageId($provider_id)
    {
        $result = $this->db->query(
            "SELECT
                id
            FROM
                `".DB_PREFIX."connectix_messages`
            WHERE
                provider_id = '".$this->db->escape($provider_id)."'"
        );
        if ($result->num_rows > 0) {
            return $result->rows;
        }

        return null;
    }

    public function setMessageInbounds($data)
    {
        $this->db->query(
            "INSERT INTO
                ".DB_PREFIX."connectix_message_inbounds
            SET
                message_id = '".(int)$data['message_id']."',
                text = '".$this->db->escape($data['text'])."',
                sent_at = '".$this->db->escape($data['sent_at'])."'"
        );
    }

    public function getTemplate($provider_id)
    {
        $result = $this->db->query(
            "SELECT
                id
            FROM
                `".DB_PREFIX."connectix_templates`
            WHERE
                provider_id = '".$this->db->escape($provider_id)."'"
        );
        if ($result->num_rows > 0) {
            return $result->row;
        }

        return null;
    }

    public function updateTemplate($data)
    {
        $this->db->query(
            "UPDATE
                ".DB_PREFIX."connectix_templates
            SET
                media = '".$this->db->escape($data['media'])."',
                layout = '".$this->db->escape($data['layout'])."',
                name = '".$this->db->escape($data['name'])."',
                channel = '".$this->db->escape($data['channel'])."',
                text = '".$this->db->escape($data['text'])."',
                button_label = '".$this->db->escape($data['button_label'])."',
                button_url = '".$this->db->escape($data['button_url'])."',
                status = '".$this->db->escape($data['status'])."'
            WHERE
                provider_id = '".$this->db->escape($data['id'])."'"
        );
    }

    public function setTemplate($data)
    {
        $this->db->query(
            "INSERT INTO
                ".DB_PREFIX."connectix_templates
            SET
                provider_id = '".$this->db->escape($data['id'])."',
                media = '".$this->db->escape($data['media'])."',
                layout = '".$this->db->escape($data['layout'])."',
                name = '".$this->db->escape($data['name'])."',
                channel = '".$this->db->escape($data['channel'])."',
                text = '".$this->db->escape($data['text'])."',
                button_label = '".$this->db->escape($data['button_label'])."',
                button_url = '".$this->db->escape($data['button_url'])."',
                status = '".$this->db->escape($data['status'])."'"
        );
    }

    public function getTrackingOrders($trackingNumber)
    {
        $result = $this->db->query(
            "SELECT
                order_id
            FROM
                `".DB_PREFIX."connectix_tracking`
            WHERE
                tracking_number = '".$this->db->escape($trackingNumber)."'"
        );
        if ($result->num_rows > 0) {
            return $result->rows;
        }

        return null;
    }

    public function updateOrder($order_id, $order_status_id, $comment = '', $notify = false)
    {
        $this->load->model('checkout/order');
        $order = $this->model_checkout_order->getOrder((int)$order_id);

        if ($order && (int)$order['order_status_id'] !== $order_status_id) {
            $this->db->query(
                "UPDATE
                    `".DB_PREFIX."order`
                SET
                    order_status_id = ".(int)$order_status_id."
                WHERE
                    order_id = ".(int)$order_id
            );
            $this->model_checkout_order->addOrderHistory($order_id, $order_status_id, $comment, $notify);
        }
    }

    /**
     * @param $token
     * @return bool
     */
    public function doesOrderTokenExists($token)
    {
        $result = $this->db->query(
            "SELECT
                order_id
            FROM
                `".DB_PREFIX."connectix_order_token`
            WHERE
                token = '".$this->db->escape($token)."'"
        );

        return $result->num_rows > 0;
    }

    /**
     * @param array $data
     */
    public function addOrderToken($data)
    {
        $sqlData = $this->prepareDataForPersist($data);
        if (!$sqlData) {
            return;
        }

        $this->db->query(
            'INSERT INTO '.DB_PREFIX.'connectix_order_token ('.$sqlData['columns'].') VALUES ('.$sqlData['values'].')'
        );
    }

    public function getOrderByToken($token)
    {
        $result = $this->db->query(
            "SELECT
                order_id, created_at
            FROM
                `".DB_PREFIX."connectix_order_token`
            WHERE
                token = '".$this->db->escape($token)."'"
        );
        if ($result->num_rows > 0) {
            return $result->row;
        }

        return null;
    }

    public function updateOrderToken($token, $data)
    {
        $sqlData = $this->prepareDataForUpdate($data);
        $this->db->query("UPDATE ".DB_PREFIX."connectix_order_token SET $sqlData WHERE token = '".$this->db->escape($token)."'");
    }
}
